package at.jku.fim.datalinksimulation.layer1.wire;

/**
 * <p>Title: OSI Simulation Framework</p>
 * This exception is thrown on any wiring error. 
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Andreas Putzinger
 * @version $Id: WiringException.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public class WiringException extends Exception {

	private static final long serialVersionUID = -6916028493683317531L;

	/**
     * Constructor
     */
    public WiringException() {
        super();
    }

    /**
     * Constructor 
     * @param msg Exception message
     */
    public WiringException(String msg) {
        super(msg);
    }

}