package at.jku.fim.datalinksimulation.networkstack;

/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Andreas Putzinger
 * @version $Id: NetworkFilter.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public interface NetworkFilter {

	public static int OSI_LAYER_1 = 1;
	public static int OSI_LAYER_2 = 2;
	public static int OSI_LAYER_3 = 3;
	public static int OSI_LAYER_4 = 4;
	public static int OSI_LAYER_5 = 5;
	public static int OSI_LAYER_6 = 6;
	
    /**
     * @return Returns an array containing all OSI layers a filter supports
     */
	public int[] getFilterOSILayer();

}
