package at.jku.fim.datalinksimulation.networkstack;

import java.util.HashMap;

/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Andreas Putzinger
 * @version $Id: NetworkStackParameters.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public class NetworkStackParameters {

    public static int GLOBAL_PARAMETER = 0;

    protected HashMap parameters = new HashMap();

    public void setParameter(int osiLayer, String name, Object value) {
        if (osiLayer < 0 || osiLayer > 7 || name == null)
            return;
        parameters.put("L" + osiLayer + "_" + name, value);
    }

    public Object getParameter(int osiLayer, String name) {
        if (osiLayer < 0 || osiLayer > 7 || name == null)
            return null;
        return parameters.get("L" + osiLayer + "_" + name);
    }

}