package at.jku.fim.datalinksimulation.networkstack.outgoing;

import at.jku.fim.datalinksimulation.layer1.data.RawData;
import at.jku.fim.datalinksimulation.networkstack.NetworkStackParameters;

/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Andreas Putzinger
 * @version $Id: OutgoingNetworkStackObserver.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public interface OutgoingNetworkStackObserver {

    /**
     * This method is called whenever data is ready to be sent on the wire
     * @param data
     */
    public void informAboutNewData(RawData data, NetworkStackParameters params);

}