package at.jku.fim.datalinksimulation.utils;

import java.util.BitSet;

/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Students
 * @version $Id: CRCUtils.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public class CRCUtils {

    /**
     * This methods performs the "sanity-check" of a frame. It tests if the frame has changed during 
     * transmission by evaluating the CRC.<BR>
     * @param frame Complete EasyL2 frame data; the last 32 Bits (Bits 0-31) represent the CRC
     * @param logger Logger to use
     * @return Returns true, if CRC check is ok; false otherwise
     */
    public static boolean validateCRC(BitSet frame, Logger logger) {
        // Please consider, that the integer elements of frame may only contain values from 0 to 255
        
    	logger.log("Validating CRC of frame: " + ConversionUtils.getStringRepresentation(frame));
    	
        //
        // FIXME: ADD CODE HERE
        //

        return true;
    }

    /**
     * Calculates the CRC of a frame and insert the CRC into the frame.
     * @param frame Complete frame data; the last 32 bits (0-31) are unset and have to be filled with the CRC 
     * @param logger Logger to use
     */
    public static void insertCrc(BitSet frame, Logger logger) {

    	logger.log("Inserting CRC in frame: " + ConversionUtils.getStringRepresentation(frame));
    	
        //
        // FIXME: ADD CODE HERE
        //        

    	logger.log("Resulting frame with CRC: " + ConversionUtils.getStringRepresentation(frame));
    	
    }

}
